Open CASCADE Technology: NCollection_Sequence< TheItemType >::Iterator Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
NCollection_Sequence< TheItemType >::Iterator Class Reference

Implementation of the Iterator interface. More...

`#include <NCollection_Sequence.hxx>`

Inheritance diagram for NCollection_Sequence< TheItemType >::Iterator:
[legend]

## Public Member Functions
| Iterator (void)
| Empty constructor - for later Init. More...
| Iterator (const NCollection_Sequence &theSeq, const Standard_Boolean isStart=Standard_True)
| Constructor with initialisation. More...
Standard_Boolean | More (void) const
| Check end. More...
void | Next (void)
| Make step. More...
const TheItemType & | Value (void) const
| Constant value access. More...
TheItemType & | ChangeValue (void) const
| Variable value access. More...
Standard_Boolean | IsEqual (const Iterator &theOther) const
| Performs comparison of two iterators. More...
Public Member Functions inherited from NCollection_BaseSequence::Iterator
| Iterator (void)
| Empty constructor. More...
| Iterator (const NCollection_BaseSequence &theSeq, const Standard_Boolean isStart)
| Constructor with initialisation. More...
void | Init (const NCollection_BaseSequence &theSeq, const Standard_Boolean isStart=Standard_True)
| Initialisation. More...
Iterator & | operator= (const Iterator &theOther)
| Assignment. More...
void | Previous ()
| Switch to previous element; note that it will reset. More...

## Additional Inherited Members
Protected Attributes inherited from NCollection_BaseSequence::Iterator
NCollection_SeqNode * | myCurrent
| Pointer to the current node. More...
NCollection_SeqNode * | myPrevious
| Pointer to the previous node. More...

## Detailed Description

### template<class TheItemType>
class NCollection_Sequence< TheItemType >::Iterator

Implementation of the Iterator interface.

## Constructor & Destructor Documentation

template<class TheItemType>

NCollection_Sequence< TheItemType >::Iterator::Iterator | ( | void |  | ) |
| inline

Empty constructor - for later Init.

template<class TheItemType>

NCollection_Sequence< TheItemType >::Iterator::Iterator | ( | const NCollection_Sequence & | theSeq,
|  | const Standard_Boolean | isStart = `Standard_True`
| ) |  |
| inline

Constructor with initialisation.

## Member Function Documentation

template<class TheItemType>

TheItemType& NCollection_Sequence< TheItemType >::Iterator::ChangeValue | ( | void |  | ) | const
| inline

Variable value access.

template<class TheItemType>

Standard_Boolean NCollection_Sequence< TheItemType >::Iterator::IsEqual | ( | const Iterator & | theOther | ) | const
| inline

Performs comparison of two iterators.

template<class TheItemType>

Standard_Boolean NCollection_Sequence< TheItemType >::Iterator::More | ( | void |  | ) | const
| inline

Check end.

template<class TheItemType>

void NCollection_Sequence< TheItemType >::Iterator::Next | ( | void |  | ) |
| inline

Make step.

template<class TheItemType>

const TheItemType& NCollection_Sequence< TheItemType >::Iterator::Value | ( | void |  | ) | const
| inline

Constant value access.

The documentation for this class was generated from the following file:

- NCollection_Sequence.hxx